# $Id: mk_bc5.mak,v 9.1 2001/04/11 05:14:18 darren Exp $
#
# Makefile for Win32 using Borland C++ compiler, version 5.5 (free version)

!include source.mak

!if ("$(BCC)"=="")
BCC = bcc32
!endif
!if ("$(BOR)"!="")
BINCLUDE = -I$(BOR)\include
!endif

# You can obtain an Win32 version of the Gnu regex support library from
#   http://people.delphi.com/gjc/gnu_regex.html
# Point REGEX_DIR to the directory created when you extract the archive.
# If you just run gnu_regex.exe in this directory, then you can just
# uncomment the REGEX_DIR macro below and everything should work.

REGEX_DIR = gnu_regex_dist

!ifdef REGEX_DIR
EXTRA_INC = -I$(REGEX_DIR)

# Uncomment the following macro to dynamically link against the regex DLL;
# otherwise link statically against regex.
# WARNING: Borland C++ does not successfully link dynamically.

#REGEX_DLL=1

!ifdef REGEX_DLL
REGEX_DEFINE = -DHAVE_REGCOMP
EXTRA_LIBS = $(REGEX_DIR)\gnu_regex.lib
!else
REGEX_DEFINE = -DHAVE_REGCOMP -DREGEX_MALLOC -DSTDC_HEADERS=1
EXTRA_LIBS = gnu_regex.obj
!endif
!endif

DEFINES = -DWIN32 $(REGEX_DEFINE)
INCLUDES = $(BINCLUDE) $(EXTRA_INC)
WARNINGS = -w-aus -w-par -w-pia -w-pro -w-sus

ctags: ctags.exe

ctags.exe: $(SOURCES) respbc5 $(EXTRA_LIBS)
	$(BCC) $(CFLAGS) -O2 -e$@ @respbc5

# Debug version
dctags.exe: $(SOURCES) respbc5 $(EXTRA_LIBS)
	$(BCC) $(CFLAGS) -DDEBUG -e$@ @respbc5 debug.c

gnu_regex.obj:
	$(BCC) -c -o$@ -w- $(DEFINES) -Dconst= $(INCLUDES) $(REGEX_DIR)\regex.c

respbc5: $(SOURCES) $(HEADERS) mk_bc5.mak
	echo $(DEFINES) $(INCLUDES) > $@
	echo $(WARNINGS) >> $@
	echo $(SOURCES) $(EXTRA_LIBS) >> $@

clean:
	- del *.obj
	- del *.tds
	- del ctags.exe
	- del dctags.exe
	- del respbc5
	- del tags
